# $Revision: 1.63 $, $Date: 2012/06/10 15:50:48 $
Summary:	A graphical interface for configuring printers
Summary(pl.UTF-8):	Graficzny interfejs do zarządzania drukarkami
Name:		system-config-printer
Version:	1.3.9
Release:	5
License:	GPL v2+
Group:		X11/Applications
Source0:	http://cyberelk.net/tim/data/system-config-printer/1.3/%{name}-%{version}.tar.xz
# Source0-md5:	df424f127eede63965608e5ec5e27519
Patch0:		pyc.patch
Patch1:		udev-deprecated.patch
URL:		http://cyberelk.net/tim/software/system-config-printer/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xz >= 1:4.999.7
%pyrequires_eq	python-libs
Requires:	python-PyXML
Requires:	python-pycurl
Requires:	python-pygtk-glade
Requires:	python-pynotify
Requires:	python-smbc
Obsoletes:	eggcups
Obsoletes:	gnome-cups-manager < 0.34
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of the tool is to configure a CUPS server (often the local
machine) using the CUPS API. The tool is written in Python, using
pygtk for the graphical parts and with some Python bindings (pycups)
for the CUPS API.

%description -l pl.UTF-8
To narzędzie służy do konfigurowania serwera CUPS (zwykle na maszynie
lokalnej) przy użyciu API CUPS-a. Narzędzie jest napisane w Pythonie z
użyciem pygtk do części graficznych i dowiązań Pythona (pycups) do API
CUPS-a.

%package libs
Summary:	Libraries and shared code for printer administration tool
Group:		Base
Requires:	python
Requires:	python-pycups >= 1.9.60
Conflicts:	%{name} < 1.3.9

%description libs
The common code used by both the graphical and non-graphical parts of
the configuration tool.

%package udev
Summary:	Rules for udev for automatic configuration of USB printers
Group:		Base
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{version}-%{release}
Requires:	systemd-units >= 0.38
Provides:	hal-cups-utils = 0.6.20
Obsoletes:	hal-cups-utils < 0.6.20

%description udev
The udev rules and helper programs for automatically configuring USB
printers.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-udev-rules
%{__make} \
	udevhelperdir=/lib/udev

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	udevhelperdir=/lib/udev \
	udevrulesdir=/lib/udev/rules.d \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/cupshelpers
%py_postclean %{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post udev
%systemd_post udev-configure-printer.service

%preun udev
%systemd_preun udev-configure-printer.service

%postun udev
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
/etc/xdg/autostart/print-applet.desktop
%attr(755,root,root) %{_bindir}/system-config-printer
%attr(755,root,root) %{_bindir}/system-config-printer-applet
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/*.ui
%dir %{_datadir}/%{name}/troubleshoot
%{_datadir}/%{name}/troubleshoot/*.py[co]
%dir %{_datadir}/%{name}/xml
%{_datadir}/%{name}/xml/*.rng
%{_datadir}/%{name}/xml/validate.py[co]
%{_datadir}/%{name}/check-device-ids.py[co]
%{_datadir}/%{name}/HIG.py[co]
%{_datadir}/%{name}/SearchCriterion.py[co]
%{_datadir}/%{name}/serversettings.py[co]
%{_datadir}/%{name}/system-config-printer.py[co]
%{_datadir}/%{name}/ToolbarSearchEntry.py[co]
%{_datadir}/%{name}/userdefault.py[co]
%{_datadir}/%{name}/applet.py[co]
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/i-network-printer.png
%{_mandir}/man1/system-config-printer-applet.1*
%{_mandir}/man1/system-config-printer.1*
%{_desktopdir}/*.desktop

%files libs
%defattr(644,root,root,755)
%dir %{_sysconfdir}/cupshelpers
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cupshelpers/preferreddrivers.xml
/etc/dbus-1/system.d/com.redhat.NewPrinterNotification.conf
/etc/dbus-1/system.d/com.redhat.PrinterDriversInstaller.conf
%{_datadir}/dbus-1/interfaces/org.fedoraproject.Config.Printing.xml
%{_datadir}/dbus-1/services/org.fedoraproject.Config.Printing.service
%attr(755,root,root) %{_bindir}/scp-dbus-service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/asyncconn.py[co]
%{_datadir}/%{name}/asyncipp.py[co]
%{_datadir}/%{name}/asyncpk1.py[co]
%{_datadir}/%{name}/authconn.py[co]
%{_datadir}/%{name}/config.py[co]
%{_datadir}/%{name}/cupspk.py[co]
%{_datadir}/%{name}/debug.py[co]
%{_datadir}/%{name}/dnssdresolve.py[co]
%{_datadir}/%{name}/errordialogs.py[co]
%{_datadir}/%{name}/firewall.py[co]
%{_datadir}/%{name}/gtkinklevel.py[co]
%{_datadir}/%{name}/gtk_label_autowrap.py[co]
%{_datadir}/%{name}/gtkspinner.py[co]
%{_datadir}/%{name}/gui.py[co]
%{_datadir}/%{name}/installpackage.py[co]
%{_datadir}/%{name}/jobviewer.py[co]
%{_datadir}/%{name}/monitor.py[co]
%{_datadir}/%{name}/newprinter.py[co]
%{_datadir}/%{name}/options.py[co]
%{_datadir}/%{name}/optionwidgets.py[co]
%{_datadir}/%{name}/PhysicalDevice.py[co]
%{_datadir}/%{name}/ppdcache.py[co]
%{_datadir}/%{name}/ppdippstr.py[co]
%{_datadir}/%{name}/ppdsloader.py[co]
%{_datadir}/%{name}/printerproperties.py[co]
%{_datadir}/%{name}/probe_printer.py[co]
%{_datadir}/%{name}/pysmb.py[co]
%{_datadir}/%{name}/scp-dbus-service.py[co]
%{_datadir}/%{name}/smburi.py[co]
%{_datadir}/%{name}/statereason.py[co]
%{_datadir}/%{name}/timedops.py[co]

%dir %{py_sitescriptdir}/cupshelpers
%{py_sitescriptdir}/cupshelpers/__init__.py[co]
%{py_sitescriptdir}/cupshelpers/config.py[co]
%{py_sitescriptdir}/cupshelpers/cupshelpers.py[co]
%{py_sitescriptdir}/cupshelpers/installdriver.py[co]
%{py_sitescriptdir}/cupshelpers/openprinting.py[co]
%{py_sitescriptdir}/cupshelpers/ppds.py[co]
%{py_sitescriptdir}/cupshelpers/xmldriverprefs.py[co]
%{py_sitescriptdir}/*.egg-info

%files udev
%defattr(644,root,root,755)
/lib/udev/rules.d/*-printers.rules
%attr(755,root,root) /lib/udev/udev-add-printer
%attr(755,root,root) /lib/udev/udev-configure-printer
%{systemdunitdir}/udev-configure-printer.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-config-printer.spec,v $
Revision 1.63  2012/06/10 15:50:48  glen
- fix .py path for applet as well

Revision 1.62  2012/06/02 16:00:52  baggins
- rel 4
- udev_get_sys_path is deprecated and has been removed in udev 183

Revision 1.61  2012/06/02 10:58:13  arekm
- release 3

Revision 1.60  2012/04/17 18:04:12  baggins
- rel 2
- added systemd deps

Revision 1.59  2012/03/03 19:05:53  glen
- fix udevhelperdir when processing .in

Revision 1.58  2012/03/03 17:39:02  baggins
- pld-ized systemd support

Revision 1.57  2012/03/03 17:27:23  glen
- up to 1.3.9, enable udev/systemd

Revision 1.56  2012/02/07 14:57:23  lisu
- minimal version of python-pycups is 1.9.60
- R: python-pycurl

Revision 1.55  2012/02/07 12:11:43  lisu
- 1.3.8

Revision 1.54  2011/10/10 08:31:30  lisu
- up to 1.3.7
- .glade -> .ui

Revision 1.53  2011/03/21 12:46:49  lisu
- up to 1.3.2
- python version specific egg-info
- .ui -> .glade

Revision 1.52  2011/02/17 13:11:43  lisu
- updated to 1.3.0 (merged with DEVEL)
- new binary

Revision 1.51  2011/02/11 08:32:18  lisu
- 1.2.7

Revision 1.50  2011/01/28 01:40:22  sparky
- BR: pkgconfig

Revision 1.49  2011/01/15 15:19:03  lisu
- up to 1.2.6

Revision 1.48.2.1  2010/12/10 11:08:04  lisu
- up to 1.2.95

Revision 1.48  2010/10/19 10:30:42  lisu
- 1.2.5

Revision 1.47  2010/08/24 07:00:00  lisu
- updated to 1.2.4

Revision 1.46  2010/07/08 08:48:06  arekm
- release 2

Revision 1.45  2010/06/25 07:41:03  lisu
- 1.2.3

Revision 1.44  2010/05/10 08:15:06  lisu
- 1.2.2

Revision 1.43  2010/04/15 07:27:12  lisu
- 1.2.1

Revision 1.42  2010/03/18 11:01:58  lisu
- updated to 1.2.0
- merged with DEVEL
- changes in %%files

Revision 1.41  2010/03/11 09:55:04  lisu
- 1.1.18

Revision 1.40  2010/02/16 20:58:09  ankry
- no longer no in src

Revision 1.39  2010/02/15 09:57:36  patrys
- added missing BR
- rel 2

Revision 1.38  2010/02/10 16:02:09  lisu
- 1.1.17

Revision 1.37  2010/01/28 13:37:27  sparky
- BR: docbook-dtd412-xml, python-modules, rpm-pythonprov

Revision 1.36.2.3  2010/03/11 09:57:19  lisu
- 1.1.93

Revision 1.36.2.2  2010/02/10 16:04:04  lisu
- 1.1.91

Revision 1.36.2.1  2010/01/28 12:39:17  lisu
- up to 1.1.90 (pre 1.2)

Revision 1.36  2010/01/28 12:04:52  lisu
- 1.1.16

Revision 1.35  2009/12/02 10:00:35  lisu
- 1.1.15

Revision 1.34  2009/09/22 12:47:23  lisu
- up to 1.1.13
- sedding is no longer needed

Revision 1.33  2009/08/26 12:42:48  lisu
- up to 1.1.12

Revision 1.32  2009/08/10 11:24:43  lisu
- up to 1.1.11

Revision 1.31  2009/07/23 18:13:27  shadzik
- R: python-pygtk-glade
- rel 2

Revision 1.30  2009/07/23 08:57:35  lisu
- up to 1.1.10
- use sed macro
- BR: sed >= 4.0

Revision 1.29  2009/07/17 08:42:03  patrys
- 1.1.8

Revision 1.28  2009/05/27 11:31:53  paszczus
- updated to 1.1.7

Revision 1.27  2009/03/21 20:43:42  patrys
- 1.1.6

Revision 1.26  2009/01/03 16:07:56  rotom
- lost dir added

Revision 1.25  2009/01/03 16:01:52  rotom
- up to 1.1.1

Revision 1.24  2008/12/01 17:43:39  paszczus
- updated to 1.0.12

Revision 1.23  2008/11/21 22:07:05  rotom
- up to 1.0.11

Revision 1.22  2008/10/23 15:46:41  qboosh
- py_postclean usage (pythondirs are always scanned)

Revision 1.21  2008/10/23 15:10:35  patrys
- 1.0.9

Revision 1.20  2008/10/20 17:28:26  qboosh
- reordered files

Revision 1.19  2008/10/18 18:13:48  paszczus
- updated to 0.9.93

Revision 1.18  2008-03-17 18:54:25  qboosh
- unified order

Revision 1.17  2008-03-17 11:48:58  patrys
- use gksu
- fix binary path in desktop
- rel 2

Revision 1.16  2008-03-16 21:46:39  patrys
- 0.7.82

Revision 1.15  2007-12-28 01:30:42  zbyniu
- up to 0.7.78

Revision 1.14  2007-11-10 16:51:07  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.13  2007/10/23 22:11:31  patrys
- 0.7.76

Revision 1.12  2007/05/28 10:30:12  patrys
- more R:

Revision 1.11  2007/05/25 22:41:46  qboosh
- pl

Revision 1.10  2007/05/25 21:55:12  wolvverine
- add BR

Revision 1.9  2007/05/25 20:17:16  wolvverine
- add BR

Revision 1.8  2007/05/24 13:26:21  patrys
- R: pynotify

Revision 1.7  2007/05/24 13:21:13  patrys
- require newer pycups

Revision 1.6  2007/05/24 11:33:03  patrys
- works

Revision 1.5  2007/05/23 19:21:04  patrys
- R: pycups

Revision 1.4  2007/05/23 19:20:38  patrys
- desc and summary (pl desc missing)

Revision 1.3  2007/05/23 19:18:42  patrys
- almost works

Revision 1.2  2007/05/23 19:12:22  patrys
- fixed deps
- TODO: descriptions

Revision 1.1  2007/05/23 19:10:32  patrys
- initial PLD release
